
function loadAlarmOptions() {
		var alarmText = null;		
		var snoozeTime = null;		
		var alertGroup = document.getElementById('alertGroup');			
		var snoozeGroup = document.getElementById('snoozeGroup');	
		var alertButtonGroup = document.getElementById('alertButtonGroup');	
		
		var desc = document.getElementById("newAlarmText");
		// set alert time to first non-zero time 
		var alertTimesList = document.getElementById('reminderFox-alertTime');			
		var snoozeTimeList = document.getElementById('reminderFox-snoozeTime');	
		
		// if this is the quick alarm during alert...
		if ( window.arguments != null && window.arguments[0] != null ) {
			alarmText = window.arguments[0].alarmText;
			desc.value = alarmText;
			snoozeTime = window.arguments[0].snoozeTime;
			alertGroup.setAttribute( "hidden", true);
			snoozeGroup.removeAttribute( "hidden");
			desc.setAttribute( "readonly", true);
			alertButtonGroup.setAttribute( "hidden", true );
			snoozeTimeList.label = snoozeTime;
			playAlarmSound();
		}
		
		// otherwise, this is the initial window used for input
		else {
			snoozeGroup.setAttribute( "hidden", true);			
			alertGroup.removeAttribute( "hidden");
			desc.focus();
			alertTimesList.selectedIndex = 2;	
		}					
				
		
}


function setAlarm() {
		var desc = document.getElementById("newAlarmText");
		var alertTimesList = document.getElementById("reminderFox-alertTime");	
		var snoozeTimeList = document.getElementById('reminderFox-snoozeTime');	
				
		var snoozeTime;
		if ( window.arguments != null && window.arguments[0] != null ) {
			snoozeTime = snoozeTimeList.label;
		}
		else {
			snoozeTime = alertTimesList.label;
		}
		
		if ( reminderFox_isInteger( snoozeTime ) ) {
			var currentTime = new Date().getTime();
			
			if ( window.arguments == null || window.arguments[0] == null ) {
				var timeUnitsList = document.getElementById('reminderFox-alertTimeUnits');			
				var timeSelected = timeUnitsList.selectedIndex;
				if ( timeSelected == 1 ) {
					snoozeTime = snoozeTime * 60;
				}
				else if ( timeSelected == 2 ) {
					snoozeTime = snoozeTime * 60 * 24;
				}	
			}					
			
			var windowEnumerator =  reminderFox_getWindowEnumerator();
			if (windowEnumerator.hasMoreElements()) {
				var oldestWindow = windowEnumerator.getNext();										
				oldestWindow.setTimeout('reminderFox_showQuickAlarm("'+desc.value+'","'+snoozeTime+'")', snoozeTime*60000);			
			}		
		}	
		
		close();						
}

function playAlarmSound() {
	// play a sound for notification (if the user elects to)
	try {
		var playSound = true;
		try {
			playSound = reminderFox_prefs.getBoolPref(REMINDER_FOX_PREF + "." +  REMINDER_FOX_ALARM_SOUND);
		}
		catch ( e) {
		}
		if ( playSound ) {
			reminderFox_playSound();
	  	} // end if		
	}
	catch ( e ) {
	}
}

function reminderFox_snoozeTimeChanged() {
	document.getElementById("snoozeButton").setAttribute( "default", true );
	document.getElementById("okButton").setAttribute( "default", false );
}